- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/list#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/list#body.ListGuardiansResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/list#try-it)

Returns a list of guardians that the requesting user is permitted to view, restricted to those that match the request.

To list guardians for any student that the requesting user may view guardians for, use the literal character `-` for the student ID.

This method returns the following error codes:

- `PERMISSION_DENIED` if a `studentId` is specified, and the requesting user is not permitted to view guardian information for that student, if `"-"` is specified as the `studentId` and the user is not a domain administrator, if guardians are not enabled for the domain in question, if the `invitedEmailAddress` filter is set by a user who is not a domain administrator, or for other [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `INVALID_ARGUMENT` if a `studentId` is specified, but its format cannot be recognized (it is not an email address, nor a `studentId` from the API, nor the literal string `me`). May also be returned if an invalid `pageToken` is provided.
- `NOT_FOUND` if a `studentId` is specified, and its format can be recognized, but Classroom has no record of that student.

### HTTP request

`GET https://classroom.googleapis.com/v1/userProfiles/{studentId}/guardians`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `studentId` | `string` Filter results by the student who the guardian is linked to. The identifier can be one of the following: - the numeric identifier for the user - the email address of the user - the string literal `"me"`, indicating the requesting user - the string literal `"-"`, indicating that results should be returned for all students that the requesting user has access to view. |

### Query parameters

| Parameters ||
|---|---|
| `invitedEmailAddress` | `string` Filter results by the email address that the original invitation was sent to, resulting in this guardian link. This filter can only be used by domain administrators. |
| `pageToken` | `string` `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/list#body.ListGuardiansResponse.FIELDS.next_page_token` value returned from a previous `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/list#google.classroom.v1.Guardians.ListGuardians` call, indicating that the subsequent page of results should be returned. The `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians/list#google.classroom.v1.Guardians.ListGuardians` request must be otherwise identical to the one that resulted in this token. |
| `pageSize` | `integer` Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results. |

### Request body

The request body must be empty.

### Response body

Response when listing guardians.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "guardians": [ { object (`https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians#Guardian`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `guardians[]` | ``object (`https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardians#Guardian`)`` Guardians on this page of results that met the criteria specified in the request. |
| `nextPageToken` | `string` Token identifying the next page of results to return. If empty, no further results are available. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/classroom.guardianlinks.me.readonly`
- `
  https://www.googleapis.com/auth/classroom.guardianlinks.students.readonly`
- `
  https://www.googleapis.com/auth/classroom.guardianlinks.students`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).